/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sach.logic;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Adam
 */
public class PointUnitTest {
    @Test
    public void poinTest(){
        Point a = new Point("D6");
        Point b = new Point(2, 3);
        Point c = new Point(19);

        assertEquals(a.hashCode(), b.hashCode());
        assertEquals(b.hashCode(), c.hashCode());
        assertEquals(a.getX(), c.getX());
        assertEquals(b.getY(), c.getY());
        assertEquals(a.getIndex(), b.getIndex());
        assertEquals(a.toString(), c.toString());

        a.setX(3);
        a.setY(2);
        assertTrue(a.hashCode() != b.hashCode());
        assertTrue(!a.equals(b));
        assertTrue(!a.equals(new Integer(1)));
        assertTrue(c.equals(b));

        a.setX(-1);
        assertEquals(a.getX(), 0);

        a.setX(50);
        assertEquals(a.getX(), 7);

        a.setY(-1);
        assertEquals(a.getY(), 0);

        a.setY(50);
        assertEquals(a.getY(), 7);
    }


}
